/*
    
## ## ## ## ##  ##              ## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ##          ##  ## ## ## ## ##  ## ## ## ## ##
##              ##              ##          ##  ##          ##  ##          ##  ## ##       ##  ##                    ##
##              ##              ##          ##  ##          ##  ##          ##  ##  ##      ##  ##                    ##
##    ## ## ##  ##              ##          ##  ## ## ## ##     ##          ##  ##    ##    ##  ## ## ## ## ##        ##
##          ##  ##              ##          ##  ##          ##  ##          ##  ##      ##  ##  ##                    ##
##          ##  ##              ##          ##  ##          ##  ##          ##  ##        ## #  ##                    ##
## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ## ## ## ## ##  ##          ##  ## ## ## ## ##        ##

/**** TEXT & ICONS ****/

/* WHITE */
hr,
h1,
.prev, 
.next,
input[type=submit] {
    color: var(--white);
}

/* YELLOW */
a,
#decline,
#selection {
    color: var(--yellow);
}

/* BLACK */
h2,
h3,
h4,
p,
li i,
button,
.button,
#decline,
#popup a,
.teaser i,
#selection,
.menuitem a,
#topfooter p,
#topfooter a,
#bottomfooter p,
#bottomfooter a {
    color: var(--black);
} 

/* OTHER */
.alert i:nth-of-type(1) {
    color: green;
}
a,
.dropdown li a {
    color: rgb(34, 79, 170);
}

/**** ELEMENT BACKGROUND ****/

/* WHITE */
body,
.bottommenu nav,
.bottommenu,
.dropdown {
    background: var(--white);    
}

/* LIGHT YELLOW */
input,
#popup,
.teaser,
textarea,
#topfooter,
#bottomfooter,
#teaserbox .box,
.menuitem a:hover {
    background: var(--light-yellow);
}

/* YELLOW */
button,
.button,
.teaser i,
input[type=submit],
#teaserbox .box:hover,
#burgermenu .burger .line {
    background: var(--yellow);
}

#selection,
#burgermenu,
#decline {
    background: transparent;
}

/**** OUTLINE ****/
#decline,
input:focus,
textarea:focus,
button,
.button,
.teaser i,
#teaserbox .box:hover {
    outline: .235rem solid var(--black);
}
.button:focus-visible,
button:focus-visible,
input[type="submit"]:focus-visible,
a:focus-visible {
    outline: .2rem solid var(--black);
}
#selection,
#burgermenu {
    outline: none;
}

/**** BOX SHADOW ****/
.dropdown {
    box-shadow: 0 0 .5em #0000001a;
}

/**** TEXT DECORATION ****/
.menuitem a:hover {
    text-decoration: none;
}
#popup a,
#bottomfooter a {
    text-decoration: underline;
}

/**** TRANSITIONS ****/
nav,
#more,
.all i,
.dropdown,
.menuitem a,
.bottommenu nav,
#selection span,
#teaserbox .box {
    transition: all linear 100ms;
}

#burgermenu {
    transition: all linear 200ms;
}

/**** FONTS ****/
* {
    font-family: -apple-system,BlinkMacSystemFont,"Segoe UI";
    line-height: 1.5;
}

/**** ROOT ****/
:root {
    --white: rgb(255, 255, 255);
    --yellow: rgb(251, 239, 66);
    --light-yellow: rgb(244, 241, 167);
    --black: rgb(0, 0, 0);
}

/**** TYPOGRAPHY ****/
body {
    font-size: 1.4rem;
}
h1 {
    font-size: calc(1rem + 2vw);
    line-height: 1.2;
    margin: 1rem 0;
}
h2 {
    font-size: calc(1rem + 1vw);
    line-height: 1.4;
    margin: 0 0 1rem;
}